## x2gokdriveclient 0.0.0.1

=== Makefile ===
#!/usr/bin/make -f

TOP_DIR=$(CURDIR)
CLIENT_DIR=$(TOP_DIR)/client_build
CLIENT_BINARY=$(CLIENT_DIR)/x2gokdriveclient

SHELL=/bin/bash

# Default to Qt 5.
# We'll change this to Qt 6 as soon as Qt-5-based platforms go EOL.
QT_VERSION ?= 5

INSTALL_DIR ?= install -d -o root -g root -m 755
INSTALL_FILE ?= install -o root -g root -m 644
INSTALL_SYMLINK ?= ln -s -f
INSTALL_PROGRAM ?= install -o root -g root -m 755

RM_FILE ?= rm -f
RM_DIR ?= rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SHAREDIR ?= $(PREFIX)/share
MANDIR ?= $(SHAREDIR)/man
ifeq ($(QT_VERSION),5)
  QMAKE_BINARY ?= qmake
  LRELEASE_BINARY ?= lrelease
else
  ifeq ($(QT_VERSION),6)
    QMAKE_BINARY ?= qmake-qt6
    LRELEASE_BINARY ?= lrelease-qt6
  else
    $(error Unsupported Qt version "$(QT_VERSION)" passed.)
  endif
endif
QMAKE_OPTS ?=

LDFLAGS ?=
LIBS ?=


#####################################################################
# Make sure that variables passed via the command line are not
# automatically exported.
#
# By default, such variables are exported and passed on to child
# (make) processes, which means that we will run into trouble if we
# pass CXXFLAGS="some value" as an argument to the top-level
# make call. Whatever qmake generates will be overridden by this
# definition, leading to build failures (since the code expects
# macro values to be set in some cases - which won't be the case
# for "generic" CXXFLAGS values.)
#
# Doing that turns out to be somewhat difficult, though.
#
# While preventing make from passing down *options* is possible via
# giving the new make call an empty MAKEFLAGS value and even though
# variables defined on the command line are part of MAKEFLAGS, this
# doesn't affect implicit exporting of variables (for most
# implementations.)
#
# Even worse, the correct way to this stuff differs from make
# implementation to make implementation.

# GNU make way.
MAKEOVERRIDES = SHELL QT_VERSION INSTALL_DIR INSTALL_FILE INSTALL_SYMLINK INSTALL_PROGRAM RM_FILE RM_DIR DESTDIR PREFIX ETCDIR BINDIR SHAREDIR MANDIR QMAKE_BINARY LRELEASE_BINARY QMAKE_OPTS LDFLAGS LIBS

# FreeBSD and NetBSD way.
.MAKEOVERRIDES = SHELL QT_VERSION INSTALL_DIR INSTALL_FILE INSTALL_SYMLINK INSTALL_PROGRAM RM_FILE RM_DIR DESTDIR PREFIX ETCDIR BINDIR SHAREDIR MANDIR QMAKE_BINARY LRELEASE_BINARY QMAKE_OPTS LDFLAGS LIBS

# OpenBSD way.
.MAKEFLAGS = SHELL QT_VERSION INSTALL_DIR INSTALL_FILE INSTALL_SYMLINK INSTALL_PROGRAM RM_FILE RM_DIR DESTDIR PREFIX ETCDIR BINDIR SHAREDIR MANDIR QMAKE_BINARY LRELEASE_BINARY QMAKE_OPTS LDFLAGS LIBS


all: build

build: build_man
	$(MAKE) build_client

build_client:
	$(LRELEASE_BINARY) x2gokdriveclient.pro
	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" QMAKE_LIBS="${LIBS}" $(QMAKE_OPTS) ../x2gokdriveclient.pro
	cd $(CLIENT_DIR) && $(MAKE)

build_man:
	${MAKE} -f Makefile.man2html build

clean: clean_client clean_man
	find . -maxdepth 3 -name '*.o' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'moc_*.cpp' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'ui_*.h' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'x2gokdriveclient_*.qm' -exec rm -vf {} + -type f
	rm -f x2gokdriveclient
	rm -f x2gokdriveclient.tag
	rm -f res/txt/changelog
	rm -f res/txt/git-info

clean_client:
	rm -fr $(CLIENT_DIR)

clean_man:
	$(MAKE) -f Makefile.man2html clean

install: install_client install_data install_man

install_client:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_PROGRAM) $(CLIENT_DIR)/x2gokdriveclient $(DESTDIR)$(BINDIR)/x2gokdriveclient

install_data:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2go/versions
	$(INSTALL_FILE) VERSION.x2gokdriveclient $(DESTDIR)$(SHAREDIR)/x2go/versions/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/x2gokdriveclient.1    $(DESTDIR)$(MANDIR)/man1/x2gokdriveclient.1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2gokdriveclient.1

uninstall: uninstall_client uninstall_data uninstall_man

uninstall_client:
	$(RM_FILE) $(BINDIR)/x2gokdriveclient

uninstall_data:
	$(RM_FILE) $(SHAREDIR)/x2go/versions/VERSION.x2gokdriveclient
	$(RM_DIR) $(SHAREDIR)/x2go/versions
	$(RM_DIR) $(SHAREDIR)/x2go

uninstall_man:
	$(RM_FILE) $(MANDIR)/man1/x2gokdriveclient.1.gz
	$(RM_DIR) $(MANDIR)/man1

=== debian/changelog ===
x2gokdriveclient (0.0.0.1-2) unstable; urgency=medium

  [ Niels Thykier ]
  * Tweak `debian/rules` to enable 'Rules-Requires-Root: no`

  [ Santiago Vila ]
  * debian/patches:
    + Add 1002_make-4.4.1.patch. Fix FTBFS with make >= 4.4.1. (Closes:
      #1089278).

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1040533)
    + debian/control: B-D: qt5-qmake:native for running lrelease.
    + debian/rules: Pass a cross qmake to make.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 18:35:15 +0100

x2gokdriveclient (0.0.0.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1038620).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Jun 2023 07:28:32 +0200

=== debian/control ===
Source: x2gokdriveclient
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 qtbase5-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxcb1-dev,
 libxcb-xfixes0-dev,
 man2html-base,
 qt5-qmake:native,
 zlib1g-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.x2go.org/
Vcs-Git: https://salsa.debian.org/debian-remote-team/x2gokdriveclient.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2gokdriveclient/

Package: x2gokdriveclient
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 x2goclient (>= 4.2.0.0~),
Description: KDrive graphical client backend for X2Go Client
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go KDrive Client is the KDrive graphical backend for X2Go Client that
 provides support for running modern desktop environments like GNOME, KDE
 Plasma, Cinnamon, etc. in X2Go Sessions.
 .
 The X2Go KDrive graphical backend is not suitable for low bandwidth WAN
 connections between X2Go Client and X2Go Server. It is supposed for X2Go
 being used on the local area network or on highbandwidth WAN
 connections.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

export QT_SELECT=qt5

export PREFIX='/usr'

# Convince the upstream build system to avoid using `(fake)root` by
# overriding its definition of these variables
export INSTALL_DIR=install -d -m 755
export INSTALL_FILE=install -m 644
export INSTALL_PROGRAM=install -m 755

%:
	dh $@

override_dh_auto_configure:
	cp debian/changelog res/txt/changelog
	if [ -f ChangeLog.gitlog ]; then cp ChangeLog.gitlog res/txt/git-info; fi
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build -- QMAKE_BINARY=$(QMAKE)

override_dh_clean:
	dh_clean
	rm -f res/txt/changelog

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
